Subject: Re: linux-next: Tree for Nov 5

From: Guenter Roeck <[email-masked]>
Date: Wed, 5 Nov 2014 02:47:27 -0800

On Wed, Nov 05, 2014 at 05:53:30PM +1100, Stephen Rothwell wrote:
> Hi all,
> 
> Due to a move of office, there will not be a linux-next release on
> Friday (and maybe Monday).
> 
> Changes since 20141104:
> 
> The f2fs tree gained a build failure so I used the version from
> next-20141104.
> 
> The mfd tree lost its build failure.
> 
> The iommu tree gained a build failure so I used the version from
> next-20141104.
> 
> The usb tree gained a conflict against the usb.current tree.
> 
> The staging tree gained conflicts against the v4l-dvb tree.
> 
> The scsi tree still had its its build failure, so I applied a supplied
> patch.
> 
> The akpm tree lost a patch that turned up elsewhere.
> 
> Non-merge commits (relative to Linus' tree): 3680
>  3064 files changed, 103787 insertions(+), 114924 deletions(-)
> 
Build results:
	total: 133 pass: 117 fail: 16
Failed builds:
	arm:omap2plus_defconfig
	arm:axm55xx_defconfig
	arm64:defconfig
	avr32:defconfig
	m68k:allmodconfig
	microblaze:mmu_defconfig
	microblaze:nommu_defconfig
	mips:allmodconfig
	mips:nlm_xlp_defconfig
	powerpc:mpc85xx_defconfig
	powerpc:mpc85xx_smp_defconfig
	powerpc:mpc85xx_defconfig
	powerpc:mpc85xx_smp_defconfig
	s390:defconfig
	tile:tilegx_defconfig

Qemu test results:
	total: 30 pass: 28 fail: 2
Failed tests:
	arm64:arm64_smp_defconfig
	arm64:arm64_nosmp_defconfig

Browsing through the failures, they all seem to be due to the missing
declaration of 'audit_file'. A patch for that problem is pending with
https://lkml.org/lkml/2014/11/4/528.

Guenter